Skip to Content
Torque Lift Docs
Pull requests

List pull requests

GET
/v1/pull_requests

Pull requests Torque Lift opened in the repo, most recently changed first.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

A secret key, tl_live_...

Query Parameters

limit?Limit

Default 20, at most 100.

Range1 <= value <= 100
Default20
starting_after?|

An id from the last page.

Header Parameters

Torque-Tenant?|

An operator key's tenant to read; refused with a tenant's key.

Torque-Version?string|null

Response Body

Successful Response

application/json
  1. response
object?Object
Default"list"
data*array<>
has_more*Has More
Example Request
curl -X GET 'https://api.torquelift.ai/v1/pull_requests'
Example Response
{  "object": "list",  "data": [    {      "object": "pull_request",      "id": "string",      "state": "string",      "created": "string",      "updated": "string",      "parent_id": "string",      "details": {},      "history": [        {          "state": "string",          "ts": "string",          "actor": "string"        }      ]    }  ],  "has_more": true}